<dx-scroll-view height='100%'>
    <dx-form [colCount]="2" [formData]='edit.model' [showValidationSummary]="false" validationGroup="partyValidation" labelLocation="left">
        <dxi-item itemType="group" [colSpan]='2' [colCount]='2'>
            <dxi-item [label]="{text: 'Denumire'}" dataField="name" editorType="dxTextBox" [editorOptions]="{}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'CIF'}" dataField="cif" editorType="dxTextBox" [editorOptions]="{}"></dxi-item>
            <dxi-item [label]="{text: 'Județ'}" dataField="countyId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: dsCounty, valueExpr: 'id', displayExpr: 'name', onValueChanged: onCountyChanged, searchEnabled: true, showClearButton: true }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Localitate'}" dataField="localityId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: dsLocality, valueExpr: 'id', displayExpr: 'name', onInitialized: onLocalityInit, searchEnabled: true, showClearButton: true }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [colSpan]="2" [label]="{text: 'Tip activități'}" dataField="activitiesTypeSplit" editorType="dxTagBox"
                [editorOptions]="{ dataSource: dsActivity, valueExpr: 'id', displayExpr: 'name' }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [colSpan]="2" [label]="{text: 'Adresa'}" dataField="address" editorType="dxTextBox"
                [editorOptions]="{}">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: 'Activ'}" dataField="isActiv" editorType="dxCheckBox" [editorOptions]="{ }">
            </dxi-item>
            <dxi-item [label]="{text: 'Este subcontractor'}" dataField="isSubcontractor" editorType="dxCheckBox"
                [editorOptions]="{ onOptionChanged:  onOptionChanged }"></dxi-item>
            <dxi-item [colCount]='2' [label]="{text: 'Contractor'}" dataField="parentId" editorType="dxSelectBox"
                [editorOptions]="{ dataSource: dsContractor, valueExpr: 'id', displayExpr: 'name', disabled: !edit.model.isSubcontractor }">
            </dxi-item>
        </dxi-item>
    </dx-form>
</dx-scroll-view>